System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

HBA driver install uprade failure

 
Roberto Volsa
Frequent Advisor

HBA driver install uprade failure

Hello,
during upgrade of the driver of a Qlogiq 2312 HBA i got the error:
Cannot find /lib/modules/2.6.9-42.ELsmp/build

It seems tha something is missing, maybe some prerequisite.
Thanks in advance
RV
3 REPLIES
Steven E. Protter
Exalted Contributor

Re: HBA driver install uprade failure

Shalom Roberto,

It is either a pre-requisite or an incomplete download.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Rob Leadbeater
Honored Contributor

Re: HBA driver install uprade failure

Hi Roberto,

If I remember correctly, you need to have installed the kernel sources RPM in order to install the QLogic drivers...

Hope this helps,

Regards,

Rob
skt_skt
Honored Contributor

Re: HBA driver install uprade failure

ll /lib/modules/2.6.9-42.ELsmp/build
lrwxrwxrwx 1 root root 37 Aug 13 15:31 /lib/modules/2.6.9-42.ELsmp/build -> /usr/src/kernels/2.6.9-42.EL-smp-i686

at this moment it does not look like it is asking for kernel source

what does "rpm -qa|grep -i kernel-source" returns.